| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Digikam::DuplicatesProgressObserver Class Reference
Inheritance diagram for Digikam::DuplicatesProgressObserver:

## Public Member Functions
| DuplicatesProgressObserver (SearchesJob *const thread)
void | imageProcessed (const ItemInfo &inf, const QImage &img, int dup) override
bool | isCanceled () override

## Member Function Documentation

## ◆ imageProcessed()

void Digikam::DuplicatesProgressObserver::imageProcessed | ( | const ItemInfo & | inf,
|  | const QImage & | img,
|  | int | dup
| ) |  |
| override virtual

Implements Digikam::HaarProgressObserver.

## ◆ isCanceled()

bool Digikam::DuplicatesProgressObserver::isCanceled | ( |  | ) |
| override virtual

Reimplemented from Digikam::HaarProgressObserver.